<?php
/*
* @ServerMon v1.1
* @Developed by Maksa988
* @www.Server-Mon.ru
* @Copyright (C) 2014
*/
 if(!defined('SMON'))
	die('Hacking attempt!');
	
class licenses extends Controller {
	public function __construct() {
		$this->header();
		$this->data['activeSection'] = 'mylicenses';
		$this->data['navbarName'] = 'Мои сайты';
		
		if(empty($_SESSION['user_id'])):
			return $this->view(array('common/header', 'user/access', 'common/footer'), $this->data); //Загружаем шаблон
		endif;
		
		$this->model('licenses');
		
		if($this->POST('add_license')){
			$domain = $this->POST('domain');
			
			if($domain){
				if(!$this->licensesModel->checkLicense($domain)){
					if($this->licensesModel->addLicense($domain)){
						$this->data['success'] = 'Сайт успешно добавлен.';
					} else {
						$this->data['error'] = 'При добавлении сайта произошла ошибка.';
					}
				} else {
					$this->data['error'] = 'Этот сайт уже был добавлен.';
				}
			} else {
				$this->data['error'] = 'Введите домен вашего сайта!';
			}
		}
		
		return $this->view(array('common/header', 'licenses/add', 'common/footer'), $this->data); //Загружаем шаблон
	}
}